Bug 1148161 - [New Package Request] vcvrack - Open-source virtual modular synthesizer
[New Package Request] vcvrack - Open-source virtual modular synthesizer
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Sound
Current
Other Other
: P5 - None : Enhancement (vote)
: ---
Assigned To: Takashi Iwai
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-26 12:45 UTC by Luz Paz
Modified: 2020-05-15 11:46 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
tiwai: needinfo? (chitty_cloud)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luz Paz 2019-08-26 12:45:16 UTC
Website: https://vcvrack.com
Github: https://github.com/VCVRack/Rack
Current release: https://github.com/VCVRack/Rack/releases/tag/v1.1.4
Building: https://vcvrack.com/manual/Building.html

"""
What's new in Rack v1:
VCV Rack polyphony
Polyphony. Use up to 16 voices with the full flexibility of modular patching.

Cables automatically turn polyphonic when requested by MIDI modules, sequencers, etc.

VCV Rack MIDI output
MIDI output. Control MIDI hardware with Rack modules.

New modules include CV-GATE for drum machines, CV-MIDI for desktop synths, and CV-CC for Eurorack interfaces.

VCV Rack MIDI-Map
MIDI mapping. Control knobs, buttons, and sliders directly from a MIDI controller.

Using the new MIDI-MAP module, click a virtual parameter and move a hardware control to create a mapping.

VCV Rack MIDI-Map
Module Browser. Search, filter, and view modules in your collection.

Click and drag to directly place modules in the rack.

VCV Rack multi-core
Multi-core engine. Use multiple CPU threads to maximize the number of modules.

Accelerated polyphonic engines on many VCV and third-party modules.

VCV Rack changelog
…and dozens of other new features and fixes, including manual parameter entry, module disabling, module “force” dragging, module expanders, easy zoom gestures, and more.
"""
Comment 1 Luz Paz 2019-10-15 13:15:36 UTC
https://github.com/VCVRack/Rack/releases/tag/v1.1.5 has been released
Comment 3 Takashi Iwai 2020-01-02 13:09:42 UTC
Feel free to submit the package via OBS.
Comment 4 Takashi Iwai 2020-05-15 11:46:29 UTC
No response.

Bugzilla is no place for asking for a creation of a new package.  For that purpose, at best, ask on some opensuse-* ML or on forums.  Thanks.